export const ErrorCode = {
    PARAM_MISS: '30000',//请求参数错误
    DATA_NOT_EXIST: '30001',//数据不存在
    DATA_EXIST: '30002',//数据已存在
    NOT_LOGIN: '30003',//账号未登录
    NO_PERMISSION: '30004',//账号没有权限
    USER_EXIST: '30005',//用户已存在
    USER_NOT_EXIST: '30006',//用户不存在
    PARENT_MENU_NOT_EXIST: '30007',//父菜单不存在
    AUTH_EXIST: '30008',//权限已存在
    AUTH_NOT_EXIST: '30009',//权限不存在
    EXIST_SUB_AUTH: '30010',//存在下级权限，无法删除
    ROLE_NOT_EXIST: '30011',//角色不存在
    ROLE_USE: '30012',//角色有用户使用，不允许删除
    AUTH_EXIST_ILLEGAL: '30013',//权限ID列表中存在非法的权限ID
    ROLE_EXIST_ILLEGAL: '30014',//角色ID列表中存在非法的角色ID
    ACCOUNT_LOCK: '30015',//账户已锁定
    ACCOUNT_STOP: '30016',//账户已停用
    ACCOUNT_OR_PWD_ERR: '30017',//电话号码没有注册或密码错误
    TOTP_UNBOUND_LOCKED: '30018',//未绑定二次验证，账号已被锁定
    UNBOUND_TOTP: '30019',//未绑定二次验证，账号已被锁定
    TOTP_CODE_USED: '30020',//该Google验证码已经被使用过
    GOOGLE_HAS_BIND: '30021',//Google认证已被绑定，不可重复绑定
    TOTP_KEY_OVERSTAYED: '30022',//密钥已失效，请重新获取
    USER_TYPE_ILLEGAL: '30023',//用户类型不合法
    NEED_INPUT_GOOGLE_CODE: '30024',//请输入Google验证码

    PUSH_NOT_UPDATE: '30025',//已经推送不允许修改
    UID_LIMIT: '30026',//UID受限,不允许操作
    UPDATE_EMAIL_EXIST: '30027',//要修改的邮箱已存在
    EMAIL_USED_NTO_CHANGE: '30028',//该邮箱已经使用，请切换邮箱
    EMAIL_CHANGE_OFTEN: '30029',//请勿频繁切换邮箱
    DAD_ACCOUNT_NOT_EXIST: '30030',//该子账户的父账户不存在
    DEL_USER_NO_UNLOCK: '30031',//删除的用户不予许解锁
    USER_NOT_LOCK: '30032',//该用户未锁定
    REASON_TOO_LONG: '30033',//驳回原因过长
    DATA_STATUS_CHANGED: '30034',//非法操作，数据状态已经变更
    UID_ILLEGALITY: '30035',//UID不合法
    UID_TOO_MUCH: '30036',//UID过多

    SPOT_NO_ASSETS:'30037',//用户现货账户未有资产记录
    U_NO_ASSETS:'30038',//用户U本位合约账户未有资产记录
    COIN_NO_ASSETS:'30039',//用户币本位合约账户未有资产记录
    SPOT_FEE_NEED_SET:'30040',//币币费率需要设置
    CONTRACT_FEE_NEED_SET:'30041',//合约费率需要设置
    SON_NOT_ADD_FEE:'30042',//子账户不能添加为市商
    LEVEL_NOT_EXIST:'30043',//指定等级不存在
    ONLY_ONE_FEE:'30044',//只能有一条未提交的费率设置
    ONLY_UN_SUBMIT_UPDATE:'30045',//只有未提交的记录可以修改
    UID_TYPE_NOT_UPDATE:'30046',//用户ID、费率类型、交易对不能修改
    DEL_UN_SUBMIT_ACTIVE:'30047',//只能删除未提交或未生效的记录
    FEE_USED_NOT_DEL:'30048',//费率已生效，不能删除
    ONLY_UN_SUBMIT_CAN_SUBMIT:'30049',//只有未提交的记录才能提交
    USER_IS_DEL:'30050',//用户已被逻辑删除
    IP_ADDR_LIMIT:'30051',//ip地址受限或不在您配置的IP白名单中
    DEPARTMENT_HAS_USER:'30052',//当前部门下有用户存在，不允许修改或删除
    PWD_ILLEGAL:'30053',//密码过短或过长
    FIXED_AND_DEFAULT:'30054',//固定和默认不能同时为是
    NOT_HIDDEN_TWO:'30055',//每种语言非隐藏并且固定的至少要有2个
    COIN_TYPE_NOT_EXIST:'30056',//币种不存在
    PAIR_NOT_EXIST:'30057',//币对不存在
    LIMIT_ERROR:'30058',//limit参数必须在10-2000之间
    ADD_PAIR_TO_CORE_ERR:'30059',//币种/交易对提交到撮合失败
    SUBMIT_STATUS_ERR:'30060',//请确认提交状态
    SUBMIT_STATUS_OR_MAIN_ERR:'30061',//提交状态有误/非主币
    NOT_EDIT:'30062',//不是被驳回的申请不可以编辑
    COIN_DATA_EXIST:'30063',//币种管理中币种已存在
    COIN_DATA_NOT_EXIST:'30064',//币种管理中币种不存在
    NO_CANCEL:'30065',//审核已通过不允许撤销
    DEPOSIT_WITHDRAW_TM_EXPIRE:'30066',//开放充值时间/开放提现时间过短
    CURRENT_STATUS_NOT_APPLY:'30067',//当前状态不可以审核
    CURRENT_COIN_DATA_NOT_EXIST:'30068',//币种管理中计价币种不存在
    PAIR_EXIST:'30069',//交易对已存在
    ACTIVE_TM_EXPIRE:'30070',//交易时间过短
    NO_TRIGGER_DEL:'30071',//只有未触发的任务可以删除
    EXIST_ACTIVE_PAIR:'30072',//已存在生效或即将生效的该交易对费率配置
    FEE_EX_OR_DEL:'30073',//费率设置已过期或已删除，不可以修改
    PAIR_FORMAT_ERR:'30074',//交易对格式错误
}
